<div class="flex flex-col flex-auto items-center sm:justify-center min-w-0">
  <div class="w-full sm:w-auto py-8 px-4 sm:p-12 sm:rounded-2xl">
      <div class="w-full max-w-full sm:w-full mx-auto sm:mx-0">  
    <!-- Main -->
        <!-- CONTENT GOES HERE -->
      <mat-stepper linear #stepper>
            <mat-step [stepControl]="firstFormGroup">
                <ng-template matStepLabel>Front of your ID</ng-template>
                <div style="text-align:center">
                  <div class="image-frame">
                    <div class="custom"></div>
                    <webcam
                      class="faceSnapshot"
                      [height]="700"
                      [width]="500"
                      [trigger]="triggerObservable"
                      class="faceSnapshot"
                      (imageCapture)="handleImage($event)"
                      *ngIf="showWebcam"
                      [allowCameraSwitch]="allowCameraSwitch"
                      [switchCamera]="nextWebcamObservable"
                      (cameraSwitched)="cameraWasSwitched($event)"
                      (initError)="handleInitError($event)"
                    ></webcam>
                    <br /><br />
                    <div class="actionBtn" (click)="triggerSnapshot()" title="Take Picture">
                      📸
                    </div>
                    <br /><br />
                    <h4 *ngIf="errors.length > 0">Messages:</h4>
                    <ul *ngFor="let error of errors">
                      <li>{{ error | json }}</li>
                    </ul>
                    <div class="snapshot" *ngIf="webcamImage">
                      <img [src]="webcamImage.imageAsDataUrl" />
                    </div>
                    
                  </div>
                </div>
              
                <div>
                  <button
                  (click)="resetStepper1(stepper)"
                    class="fuse-mat-button-large w-full mt-6"
                    mat-flat-button
                    [color]="'basic'">
                      Retake
                  </button>
                </div>
                <div>
                  <button
                    class="fuse-mat-button-large w-full mt-6"
                    mat-flat-button matStepperNext
                    [color]="'primary'">
                      Continue
                  </button>
                </div>
            <!-- </mat-step> -->
            </mat-step>
            <mat-step [stepControl]="secondFormGroup">
              <ng-template matStepLabel>Back of your ID</ng-template>
              <div style="text-align:center">
                <div class="image-frame">
                  <div class="custom"></div>
                  <webcam
                    class="faceSnapshot"
                    [height]="700"
                    [width]="500"
                    [trigger]="triggerObservable"
                    class="faceSnapshot"
                    (imageCapture)="handleImage($event)"
                    *ngIf="showWebcam"
                    [allowCameraSwitch]="allowCameraSwitch"
                    [switchCamera]="nextWebcamObservable"
                    (cameraSwitched)="cameraWasSwitched($event)"
                    (initError)="handleInitError($event)"
                  ></webcam>
                  <br /><br />
                  <div class="actionBtn" (click)="triggerSnapshot()" title="Take Picture">
                    📸
                  </div>
                  <br /><br />
                  <h4 *ngIf="errors.length > 0">Messages:</h4>
                  <ul *ngFor="let error of errors">
                    <li>{{ error | json }}</li>
                  </ul>
                  <div class="snapshot" *ngIf="webcamImage">
                    <img [src]="webcamImage.imageAsDataUrl" />
                  </div>
                  
                </div>
              </div>
            
              <div>
                <button
                (click)="resetStepper1(stepper)"
                  class="fuse-mat-button-large w-full mt-6"
                  mat-flat-button
                  [color]="'basic'">
                    Retake
                </button>
              </div>
              <div>
                <button
                  class="fuse-mat-button-large w-full mt-6"
                  mat-flat-button matStepperNext
                  [color]="'primary'">
                    Continue
                </button>
              </div>
          <!-- </mat-step> -->
          </mat-step>
          <mat-step [stepControl]="thirdFormGroup">
            <ng-template matStepLabel>Selfie</ng-template>
            <div style="text-align:center">
              <div class="image-frame">
                <div class="custom"></div>
                <webcam
                  class="faceSnapshot"
                  [height]="700"
                  [width]="500"
                  [trigger]="triggerObservable"
                  class="faceSnapshot"
                  (imageCapture)="handleImage($event)"
                  *ngIf="showWebcam"
                  [allowCameraSwitch]="allowCameraSwitch"
                  [switchCamera]="nextWebcamObservable"
                  (cameraSwitched)="cameraWasSwitched($event)"
                  (initError)="handleInitError($event)"
                ></webcam>
                <br /><br />
                <div class="actionBtn" (click)="triggerSnapshot()" title="Take Picture">
                  📸
                </div>
                <br /><br />
                <h4 *ngIf="errors.length > 0">Messages:</h4>
                <ul *ngFor="let error of errors">
                  <li>{{ error | json }}</li>
                </ul>
                <div class="snapshot" *ngIf="webcamImage">
                  <img [src]="webcamImage.imageAsDataUrl" />
                </div>
                
              </div>
            </div>
          
            <div>
              <button
              (click)="resetStepper1(stepper)"
                class="fuse-mat-button-large w-full mt-6"
                mat-flat-button
                [color]="'basic'">
                  Retake
              </button>
            </div>
            <div>
              <button
                class="fuse-mat-button-large w-full mt-6"
                mat-flat-button matStepperNext
                [color]="'primary'">
                  Continue
              </button>
            </div>
        <!-- </mat-step> -->
        </mat-step>
      </mat-stepper>    
</div>
